Subject: [Bug 188] PROPFIND include-dead-props

From: [email-masked]
Date: Thu, 19 Jan 2006 07:40:01 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=188

------- Additional Comments From [email-masked]  2006-01-19 07:40 -------
Well, in which case the paragraph needs a bit of tuning...:

    Note that 'allprop' does not return values for all live properties.
    WebDAV servers increasingly have expensively-calculated or lengthy
    properties (see [RFC3253] and [RFC3744]) and do not return all
    properties already.  Instead, WebDAV clients can use propname
    requests to discover what live properties exist, and request named
    properties when retrieving values.  A WebDAV server MAY omit certain
    live properties from other specifications when responding to an
    'allprop' request from an older client, and MAY return only custom
    (dead) properties and those defined in this specification.

In particular, the stuff about "older clients" is irritating; how does that
affect the server behaviour? Please clarify.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.